This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 107708 - Remove the c.a.kernel.KernelHelper class
Remove the c.a.kernel.KernelHelper class
Status: CLOSED WONTFIX
Product: Red Hat Web Application Framework
Classification: Retired
Component: other (Show other bugs)
nightly
All Linux
medium Severity high
: ---
: ---
Assigned To: ccm-bugs-list
Jon Orris
:
Depends On:
Blocks: 111508
  Show dependency treegraph
 
Reported: 2003-10-22 07:04 EDT by Daniel Berrange
Modified: 2007-04-18 12:58 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-09-02 13:24:06 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Daniel Berrange 2003-10-22 07:04:03 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 Galeon/1.2.9 (X11; Linux i686; U;) Gecko/20030314

Description of problem:
The c.a.kernel.KernelHelper class has been deprecated for several releases now,
with equivalent & better functionality available from KernelContext and
WebContext. It is about time it was removed altogether, particularly so we can
identify the few remaining places that use getCurrentUser().



Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. N/A
2.
3.
    

Additional info:
Comment 1 Daniel Berrange 2003-11-07 10:50:22 EST
I turns out that since we removed most of the config params from the
legacy kernel.Initializer, nothing is ever setting up the variables
used by getServerName(), getServerPort(), getHostname() methods of
KernelHelper. As a result all code that does still happen to be using
KernelHelper is getting "" & thus breaking in also sorts of subtle ways. 

We should either remove getServerName(), etc immediately forcing
people to switch the new APIs, or make the existing deprecated ones
proxies for corresponding methods in Web.getConfig() so that the
existing semantics are preserved.

Comment 2 Daniel Berrange 2006-09-02 13:24:06 EDT
Closing old tickets

Note You need to log in before you can comment on or make changes to this bug.